## START: Set by rpmautospec
## (rpmautospec version 0.8.1)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

Name:           oils-for-unix
Version:        0.29.0
Release:        %autorelease
Summary:        Upgrade path from bash to a better language and runtime
License:        Apache-2.0
URL:            https://oils.pub
Source0:        https://oils.pub/download/%{name}-%{version}.tar.gz

BuildRequires:  time
BuildRequires:  gcc-c++
BuildRequires:  ninja-build
BuildRequires:  readline-devel
Requires:       readline

%description

Oils for Unix is a collection of shells and tools designed to provide an
upgrade path from traditional Unix shells to a better language and runtime.

Oils for Unix provides the following shells in the same binary:

osh - A strict and compatible implementation of POSIX sh and bash. It runs
existing shell scripts with improved error handling and consistency.

ysh - A legacy-free shell language designed to be expressive, readable and
robust.


%prep
%autosetup


%build
%set_build_flags
export CXXFLAGS="-Wno-unused-but-set-variable $CXXFLAGS"
./configure \
  --prefix=%{_prefix} \
  --datarootdir=%{_datadir} \
  --cxx-for-configure=${CXX} \
  --with-readline

_build/oils.sh


%install
DESTDIR=%{buildroot} ./install _bin/cxx-opt-sh/oils-for-unix


%check
%{buildroot}/%{_bindir}/osh -c 'array=(1 2 3); echo ${array[0]}'
%{buildroot}/%{_bindir}/ysh -c 'var list = [1,2,3]; var dict = {a:1}; write $[list[0]] $[dict.a]'


%files
%license LICENSE.txt
%{_bindir}/oils-for-unix
%{_bindir}/osh
%{_bindir}/ysh
%{_mandir}/man1/osh.1*


%changelog
## START: Generated by rpmautospec
* Wed Jun 18 2025 John Doe <packager@example.com> - 0.29.0-1
- Uncommitted changes
## END: Generated by rpmautospec
